package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.travelrules.*;
import com.engine.kq.service.KQTravelRulesService;
import weaver.hrm.User;

import java.util.Map;

public class KQTravelRulesServiceImpl extends Service implements KQTravelRulesService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getTravelRulesForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetTravelRulesFormCmd(params, user));
    }

    @Override
    public Map<String, Object> saveTravelRules(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveTravelRulesCmd(params, user));
    }
}
